package cn.iocoder.yudao.module.ecw.controller.admin.region.vo;

import lombok.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 区域设置 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class RegionBaseVO {

    @ApiModelProperty(value = "区域名称", required = true)
    @NotNull(message = "区域名称不能为空")
    private String titleZh;

    @ApiModelProperty(value = "地区英文", required = true)
    @NotNull(message = "地区英文不能为空")
    private String titleEn;

    @ApiModelProperty(value = "简称", required = true)
    @NotNull(message = "简称不能为空")
    private String shortName;

    @ApiModelProperty(value = "语言", required = false)
//    @NotNull(message = "语言不能为空")
    private String language;

    @ApiModelProperty(value = "国家代号-城市代号")
    private String labelCode;

    @ApiModelProperty(value = "类型 字典：贸易类型字典region_trade_type，0非进出口，1进口，2出口，3进出口", required = false)
//    @NotNull(message = "类型不能为空")
    private String type;

    @ApiModelProperty(value = "父区域id", required = false)
//    @NotNull(message = "父区域id不能为空")
    private Long parentId;

    @ApiModelProperty(value = "显示顺序", required = true)
    @NotNull(message = "显示顺序不能为空")
    private Integer sort;

//    @ApiModelProperty(value = "出口运费币种", required = false)
//    private String exportCurrency1;
//    @ApiModelProperty(value = "出口清关费币种", required = false)
//    private String exportCurrency2;
//    @ApiModelProperty(value = "出口额外费用币种", required = false)
//    private String exportCurrency3;

    @ApiModelProperty(value = "进口运费币种", required = false)
    private String importCurrency1;
    @ApiModelProperty(value = "进口清关费币种", required = false)
    private String importCurrency2;
    @ApiModelProperty(value = "进口国额外费用主币种 （未匹配副币种的金额统一转换为额外费用主币种金额）", required = false)
    private String importCurrency3;
    @ApiModelProperty(value = "进口国额外费用副币种 （匹配币种一致的金额）", required = false)
    private String importCurrency4;
    @ApiModelProperty(value = "应收额币种", required = false)
    private String importCurrency5;
    @ApiModelProperty(value = "区号", required = false)
    private String areaCode;
}
