package cn.iocoder.yudao.module.ecw.dal.dataobject.region;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 区域设置 DO
 *
 * @author 江楠
 */
@TableName("ecw_region")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RegionDO extends BaseDO {

    /**
     * 区域id
     */
    @TableId
    private Long id;
    /**
     * 区域名称
     */
    private String titleZh;
    /**
     * 地区英文
     */
    private String titleEn;
    /**
     * 简称
     */
    private String shortName;
    /**
     * 语言
     */
    private String language;
    /**
     * 国家代号-城市代号
     */
    private String labelCode;
    /**
     * 类型
     */
    private String type;
    /**
     * 父区域id
     */
    private Long parentId;
    /**
     * 显示顺序
     */
    private Integer sort;
    /**
     * 区域状态（0正常 1停用）
     */
    private Integer status;
//    /**
//     * 出口国运费币种
//     */
//    private String exportCurrency1;
//    /**
//     * 出口国清关费费币种
//     */
//    private String exportCurrency2;
//    /**
//     * 出口国额外费用币种
//     */
//    private String exportCurrency3;
    /**
     * 进口国运费币种
     */
    private String importCurrency1;
    /**
     * 进口国清关费币种
     */
    private String importCurrency2;
    /**
     * 进口国额外费用主币种 （匹配币种一致的金额）
     */
    private String importCurrency3;
    /**
     * 进口国额外费用副币种 （未匹配主币种的金额统一转换为额外费用副币种金额）
     */
    private String importCurrency4;

    /**
     * 进口国应收额币种
     */
    private String importCurrency5;
    /**
     * 区号
     */
    private String areaCode;
}
